<?php
defined( '_JEXEC' ) or die();
jimport('joomla.application.component.controller');

class JshoppingControllerStates extends JControllerLegacy{
	 
    public function statesAjax(){
		$jshopConfig = JSFactory::getConfig();
        $user = JFactory::getUser();		
		$country_id = (string)JRequest::getVar("country_id");
        $d_id = JRequest::getVar("id");   
        $key = JRequest::getVar("key");  

        if ($user->id){
            $adv_user = JSFactory::getUserShop();
        }else{
            $adv_user = JSFactory::getUserShopGuest();    
        }            
		
		if ($state_val){
			if ($d_id=='d_country'){
				$adv_user->d_state = $state_val;
			}
			if ($d_id=='country'){
				$adv_user->state = $state_val;
			}
		}
		if ($country_id===''){
			$country_id = $jshopConfig->default_country;
		}
		$country_id = (int)$country_id;
        
        $list_states = $this->getListStates($country_id);

        $option_states = array();
		$option_states[] = JHTML::_('select.option',  '', '', 'name', 'name' );
        if ($list_states){
			$option_states = array_merge($option_states, $list_states);
		}
        if ($d_id=='country'){
			$select_states = JHTML::_('select.genericlist', $option_states, 'state', 'class = "inputbox"','name', 'name', $adv_user->state);
		}
        if ($d_id=='d_country'){
			$select_states = JHTML::_('select.genericlist', $option_states, 'd_state', 'class = "inputbox"','name', 'name', $adv_user->d_state);
		}
        if ($d_id=='country_'.$key){
			$select_states = JHTML::_('select.genericlist', $option_states, 'sm_params[shipping_pricestateweight_state_to][]', 'style = "width: 120px;" class = "inputbox"','name', 'name', '', 'state_'.$key );
		}
		
		$res = array();
        $res['select_states'] =  $select_states;
        $res['status']='OK';

        echo json_encode($res);  
        die; 
	}
	
	private function getListStates($country_id){
		$db = JFactory::getDBO();        
        $lang = JSFactory::getLang();
		$jshopConfig = JSFactory::getConfig();    
		
		$ordering = "ordering";
        if ($jshopConfig->sorting_country_in_alphabet){
			$ordering = "name";      
		}
		$query = "SELECT state_id, `".$lang->get("name")."` as name FROM `#__jshopping_states` 
				WHERE country_id='".(int)$country_id."' AND state_publish=1 ORDER BY ".$ordering;
        $db->setQuery($query);                
        return $db->loadObjectList();
	}
   
    function new_idAjax(){
        $new_id = JRequest::getVar("new_id");   
	
        $jshopCountry = JTable::getInstance('state', 'jshop'); 
        $option_country = array();
		$option_country[] = JHTML::_('select.option',  '0', _JSHOP_REG_SELECT, 'country_id', 'name' );
        $option_countryes = array_merge($option_country, $jshopCountry->getAllCountries());           
        $select_countries = JHTML::_('select.genericlist', $option_countryes, 'sm_params[shipping_pricestateweight_state_from][]', 'style = "width: 120px;" class = "inputbox" size = "1" onchange="javascript:getState0(this.id, this.value, '.$new_id.')";','country_id', 'name', '', 'country_'.$new_id );  
		
		$option_states = array();
        $option_states[] = JHTML::_('select.option',  '', '', 'state_id', 'name' ); 
        $select_states = JHTML::_('select.genericlist', $option_states, 'sm_params[shipping_pricestateweight_state_to][]', 'style = "width: 120px;" class = "inputbox" size = "1"','name', 'name', '', 'state_'.$new_id );  
		$res = array();
        $res['select_countries'] =  $select_countries;   
        $res['select_states'] =  $select_states;

        $res['status']='OK';

        echo json_encode($res);  
        die; 
	}
   
}